package cn.superdesk.uniorder.dao.entity.statistics.receivable;

import java.math.BigDecimal;
import java.util.Date;

public class StReceivableDetailDataEntity {
    private Long id;

    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private String orderSn;

    private String creditNo;

    private String refundOrderSn;

    private String serviceNo;

    private String serviceNoName;

    private Byte orderState;

    private String orderStateName;

    private Date billCreatedAt;

    private Date finishTime;

    private Long goodsId;

    private String goodsName;

    private String goodsUnit;

    private Long goodsQuantity;

    private BigDecimal goodsPrice;

    private BigDecimal goodsTotalAmount;

    private Byte creditType;

    private String creditName;

    private BigDecimal balance;

    private BigDecimal operationTaxRate;

    private String operationTaxCode;

    private String accountingOrderSn;

    private Byte accountingState; //对账状态 0已确认 1 已取消

    private Byte makeInvoiceStatus;

    private Byte backStatus;

    private String remark;

    private BigDecimal incomeNoTax;

    private BigDecimal taxAmount;

    private BigDecimal receivableAmount;

    private Date accountAt;

    private Long updateUserId;

    private String updateUserName;

    private Date updateTime;

    private Date createdAt;

    private Long createUserId;

    private String createUserName;

    private Long receivableDayId;

    private Long chargeReceivableDayId;

    private String collectionOrderSn;

    private Byte chargeStatus;

    private Long chargeUserId;

    private Date chargeCreatedAt;

    private String chargeUserName;

    private Byte accountState; //入账状态 0未入账 1已入账 3撤销入账 4已撤销'c

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreditId() {
        return creditId;
    }

    public void setCreditId(Long creditId) {
        this.creditId = creditId;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public String getSettlementName() {
        return settlementName;
    }

    public void setSettlementName(String settlementName) {
        this.settlementName = settlementName;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getCreditNo() {
        return creditNo;
    }

    public void setCreditNo(String creditNo) {
        this.creditNo = creditNo;
    }

    public String getRefundOrderSn() {
        return refundOrderSn;
    }

    public void setRefundOrderSn(String refundOrderSn) {
        this.refundOrderSn = refundOrderSn;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public String getServiceNoName() {
        return serviceNoName;
    }

    public void setServiceNoName(String serviceNoName) {
        this.serviceNoName = serviceNoName;
    }

    public Byte getOrderState() {
        return orderState;
    }

    public void setOrderState(Byte orderState) {
        this.orderState = orderState;
    }

    public String getOrderStateName() {
        return orderStateName;
    }

    public void setOrderStateName(String orderStateName) {
        this.orderStateName = orderStateName;
    }

    public Date getBillCreatedAt() {
        return billCreatedAt;
    }

    public void setBillCreatedAt(Date billCreatedAt) {
        this.billCreatedAt = billCreatedAt;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public Long getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(Long goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public BigDecimal getGoodsTotalAmount() {
        return goodsTotalAmount;
    }

    public void setGoodsTotalAmount(BigDecimal goodsTotalAmount) {
        this.goodsTotalAmount = goodsTotalAmount;
    }

    public Byte getCreditType() {
        return creditType;
    }

    public void setCreditType(Byte creditType) {
        this.creditType = creditType;
    }

    public String getCreditName() {
        return creditName;
    }

    public void setCreditName(String creditName) {
        this.creditName = creditName;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public BigDecimal getOperationTaxRate() {
        return operationTaxRate;
    }

    public void setOperationTaxRate(BigDecimal operationTaxRate) {
        this.operationTaxRate = operationTaxRate;
    }

    public String getOperationTaxCode() {
        return operationTaxCode;
    }

    public void setOperationTaxCode(String operationTaxCode) {
        this.operationTaxCode = operationTaxCode;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Byte getAccountingState() {
        return accountingState;
    }

    public void setAccountingState(Byte accountingState) {
        this.accountingState = accountingState;
    }

    public Byte getMakeInvoiceStatus() {
        return makeInvoiceStatus;
    }

    public void setMakeInvoiceStatus(Byte makeInvoiceStatus) {
        this.makeInvoiceStatus = makeInvoiceStatus;
    }

    public Byte getBackStatus() {
        return backStatus;
    }

    public void setBackStatus(Byte backStatus) {
        this.backStatus = backStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public BigDecimal getIncomeNoTax() {
        return incomeNoTax;
    }

    public void setIncomeNoTax(BigDecimal incomeNoTax) {
        this.incomeNoTax = incomeNoTax;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getReceivableAmount() {
        return receivableAmount;
    }

    public void setReceivableAmount(BigDecimal receivableAmount) {
        this.receivableAmount = receivableAmount;
    }

    public Date getAccountAt() {
        return accountAt;
    }

    public void setAccountAt(Date accountAt) {
        this.accountAt = accountAt;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Long getReceivableDayId() {
        return receivableDayId;
    }

    public void setReceivableDayId(Long receivableDayId) {
        this.receivableDayId = receivableDayId;
    }

    public Long getChargeReceivableDayId() {
        return chargeReceivableDayId;
    }

    public void setChargeReceivableDayId(Long chargeReceivableDayId) {
        this.chargeReceivableDayId = chargeReceivableDayId;
    }

    public String getCollectionOrderSn() {
        return collectionOrderSn;
    }

    public void setCollectionOrderSn(String collectionOrderSn) {
        this.collectionOrderSn = collectionOrderSn;
    }

    public Byte getChargeStatus() {
        return chargeStatus;
    }

    public void setChargeStatus(Byte chargeStatus) {
        this.chargeStatus = chargeStatus;
    }

    public Long getChargeUserId() {
        return chargeUserId;
    }

    public void setChargeUserId(Long chargeUserId) {
        this.chargeUserId = chargeUserId;
    }

    public Date getChargeCreatedAt() {
        return chargeCreatedAt;
    }

    public void setChargeCreatedAt(Date chargeCreatedAt) {
        this.chargeCreatedAt = chargeCreatedAt;
    }

    public String getChargeUserName() {
        return chargeUserName;
    }

    public void setChargeUserName(String chargeUserName) {
        this.chargeUserName = chargeUserName;
    }

    public Byte getAccountState() {
        return accountState;
    }

    public void setAccountState(Byte accountState) {
        this.accountState = accountState;
    }
}